> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quick Books Sheet Config

> Returns the client's connection sheet settings and per-invoice-type spreadsheet mappings.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-quick-books-sheet-config
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-quick-books-sheet-config:
    get:
      operationId: getQuickBooksSheetConfig
      summary: Get Quick Books Sheet Config
      x-toku-required-scope: integrations:read
      description: >-
        Returns the client's connection sheet settings and per-invoice-type
        spreadsheet mappings.


        Required scope: `integrations:read`
      parameters:
        - name: clientId
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetQuickBooksSheetConfigResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetQuickBooksSheetConfigResponse:
      type: object
      properties:
        clientId:
          type: string
        connection:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            status:
              type: string
              enum:
                - PENDING_PRECONDITION
                - ACTIVE
                - EXPIRED
                - DISCONNECTED
            dryRun:
              type: boolean
            multiCurrencyEnabled:
              type: boolean
            journalEntryGroupingMode:
              type: string
              enum:
                - PER_CURRENCY
                - PER_COUNTRY
                - COMBINED
            eorPeoSheetUrl:
              type:
                - string
                - 'null'
            contractorSheetUrl:
              type:
                - string
                - 'null'
          required:
            - id
            - status
            - dryRun
            - multiCurrencyEnabled
            - journalEntryGroupingMode
            - eorPeoSheetUrl
            - contractorSheetUrl
        spreadsheetMappings:
          type: object
          properties:
            EOR_PEO:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                connectionId:
                  type: string
                invoiceType:
                  type: string
                  enum:
                    - EOR_PEO
                    - CONTRACTOR
                    - W2_YEAR_END
                    - HRIS_PAYROLL
                columnMappings:
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                sheetTabName:
                  type:
                    - string
                    - 'null'
                headerRowIndex:
                  type: integer
                dataStartRowIndex:
                  type: integer
                employeeNameColumn:
                  type:
                    - string
                    - 'null'
                countryColumn:
                  type: string
                currencyColumn:
                  type: string
                totalGrossColumn:
                  type: string
                payPeriodColumn:
                  type: string
                postingAmountSource:
                  type: string
                  enum:
                    - PAYROLL_ONLY
                    - PAYROLL_PLUS_FEES
                payrollUsdColumn:
                  type: string
                invoiceUsdColumn:
                  type: string
                socialSecurityCategoryByCountry:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                jeLineGranularity:
                  type: string
                  enum:
                    - CATEGORY
                    - PER_EMPLOYEE
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - id
                - connectionId
                - invoiceType
                - columnMappings
                - sheetTabName
                - headerRowIndex
                - dataStartRowIndex
                - employeeNameColumn
                - countryColumn
                - currencyColumn
                - totalGrossColumn
                - payPeriodColumn
                - postingAmountSource
                - payrollUsdColumn
                - invoiceUsdColumn
                - socialSecurityCategoryByCountry
                - jeLineGranularity
                - createdAt
                - updatedAt
            CONTRACTOR:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                connectionId:
                  type: string
                invoiceType:
                  type: string
                  enum:
                    - EOR_PEO
                    - CONTRACTOR
                    - W2_YEAR_END
                    - HRIS_PAYROLL
                columnMappings:
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                sheetTabName:
                  type:
                    - string
                    - 'null'
                headerRowIndex:
                  type: integer
                dataStartRowIndex:
                  type: integer
                employeeNameColumn:
                  type:
                    - string
                    - 'null'
                countryColumn:
                  type: string
                currencyColumn:
                  type: string
                totalGrossColumn:
                  type: string
                payPeriodColumn:
                  type: string
                postingAmountSource:
                  type: string
                  enum:
                    - PAYROLL_ONLY
                    - PAYROLL_PLUS_FEES
                payrollUsdColumn:
                  type: string
                invoiceUsdColumn:
                  type: string
                socialSecurityCategoryByCountry:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                jeLineGranularity:
                  type: string
                  enum:
                    - CATEGORY
                    - PER_EMPLOYEE
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - id
                - connectionId
                - invoiceType
                - columnMappings
                - sheetTabName
                - headerRowIndex
                - dataStartRowIndex
                - employeeNameColumn
                - countryColumn
                - currencyColumn
                - totalGrossColumn
                - payPeriodColumn
                - postingAmountSource
                - payrollUsdColumn
                - invoiceUsdColumn
                - socialSecurityCategoryByCountry
                - jeLineGranularity
                - createdAt
                - updatedAt
            W2_YEAR_END:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                connectionId:
                  type: string
                invoiceType:
                  type: string
                  enum:
                    - EOR_PEO
                    - CONTRACTOR
                    - W2_YEAR_END
                    - HRIS_PAYROLL
                columnMappings:
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                sheetTabName:
                  type:
                    - string
                    - 'null'
                headerRowIndex:
                  type: integer
                dataStartRowIndex:
                  type: integer
                employeeNameColumn:
                  type:
                    - string
                    - 'null'
                countryColumn:
                  type: string
                currencyColumn:
                  type: string
                totalGrossColumn:
                  type: string
                payPeriodColumn:
                  type: string
                postingAmountSource:
                  type: string
                  enum:
                    - PAYROLL_ONLY
                    - PAYROLL_PLUS_FEES
                payrollUsdColumn:
                  type: string
                invoiceUsdColumn:
                  type: string
                socialSecurityCategoryByCountry:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                jeLineGranularity:
                  type: string
                  enum:
                    - CATEGORY
                    - PER_EMPLOYEE
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - id
                - connectionId
                - invoiceType
                - columnMappings
                - sheetTabName
                - headerRowIndex
                - dataStartRowIndex
                - employeeNameColumn
                - countryColumn
                - currencyColumn
                - totalGrossColumn
                - payPeriodColumn
                - postingAmountSource
                - payrollUsdColumn
                - invoiceUsdColumn
                - socialSecurityCategoryByCountry
                - jeLineGranularity
                - createdAt
                - updatedAt
            HRIS_PAYROLL:
              type:
                - object
                - 'null'
              properties:
                id:
                  type: string
                connectionId:
                  type: string
                invoiceType:
                  type: string
                  enum:
                    - EOR_PEO
                    - CONTRACTOR
                    - W2_YEAR_END
                    - HRIS_PAYROLL
                columnMappings:
                  type: object
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                sheetTabName:
                  type:
                    - string
                    - 'null'
                headerRowIndex:
                  type: integer
                dataStartRowIndex:
                  type: integer
                employeeNameColumn:
                  type:
                    - string
                    - 'null'
                countryColumn:
                  type: string
                currencyColumn:
                  type: string
                totalGrossColumn:
                  type: string
                payPeriodColumn:
                  type: string
                postingAmountSource:
                  type: string
                  enum:
                    - PAYROLL_ONLY
                    - PAYROLL_PLUS_FEES
                payrollUsdColumn:
                  type: string
                invoiceUsdColumn:
                  type: string
                socialSecurityCategoryByCountry:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                    enum:
                      - GROSS_WAGES
                      - EMPLOYER_TAXES
                      - EMPLOYER_BENEFITS
                      - EOR_MANAGEMENT_FEE
                      - CONTRACTOR_PAYMENTS
                      - CONTRACTOR_MANAGEMENT_FEE
                      - GROSS_CRYPTO
                      - NET_CRYPTO_PAYABLE
                      - EMPLOYER_TOKEN_TAXES
                      - TOKEN_TAX_WITHHOLDING
                      - EMPLOYEE_TAX_WITHHOLDING
                      - EMPLOYEE_BENEFITS_WITHHOLDING
                      - ACCOUNTS_PAYABLE
                      - EMPLOYER_COST_PAYABLE
                      - NET_PAY_CLEARING
                jeLineGranularity:
                  type: string
                  enum:
                    - CATEGORY
                    - PER_EMPLOYEE
                createdAt:
                  type: string
                updatedAt:
                  type: string
              required:
                - id
                - connectionId
                - invoiceType
                - columnMappings
                - sheetTabName
                - headerRowIndex
                - dataStartRowIndex
                - employeeNameColumn
                - countryColumn
                - currencyColumn
                - totalGrossColumn
                - payPeriodColumn
                - postingAmountSource
                - payrollUsdColumn
                - invoiceUsdColumn
                - socialSecurityCategoryByCountry
                - jeLineGranularity
                - createdAt
                - updatedAt
      required:
        - clientId
        - connection
        - spreadsheetMappings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
